=== debian/changelog ===
ignition-math (6.4.0+ds-16) unstable; urgency=medium

  * Use string.find to fix Pose_TEST

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 17 Sep 2020 13:07:41 +0000

ignition-math (6.4.0+ds-15) unstable; urgency=medium

  * Proper __ppc64le__ macro key in pose_TEST

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 11 Sep 2020 16:50:10 +0000

ignition-math (6.4.0+ds-14) unstable; urgency=medium

  * Need to include ppc64 in the patch

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 11 Sep 2020 09:46:32 +0000

ignition-math (6.4.0+ds-13) unstable; urgency=medium

  * Update pose_TEST patch to fix problems with previous version

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Sep 2020 22:07:38 +0000

ignition-math (6.4.0+ds-12) unstable; urgency=medium

  * Modify Pose_TEST for trying to fix test in different arches

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Sep 2020 16:15:20 +0000

ignition-math (6.4.0+ds-11) unstable; urgency=medium

  * Include tag.xml in -dev package

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Sep 2020 09:16:30 +0000

ignition-math (6.4.0+ds-10) unstable; urgency=medium

  * Add patch to fix problems in different arches realated to Pose test
    (Closes: #969364)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 Sep 2020 14:17:02 +0000

ignition-math (6.4.0+ds-9) unstable; urgency=medium

  * Add patch to solve compilation problems with std:limits
    (Closes: #966884)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 29 Aug 2020 10:33:10 +0000

ignition-math (6.4.0+ds-8) unstable; urgency=medium

  * Team upload.
  * Drop Doxygen tag file (includes build dir)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Apr 2020 12:20:06 +0200

ignition-math (6.4.0+ds-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:30:10 +0200

ignition-math (6.4.0+ds-6) experimental; urgency=medium

  * Team upload.
  * Update d/watch to Github

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:24:21 +0200

ignition-math (6.4.0+ds-5) experimental; urgency=medium

  * Team upload.
  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Apr 2020 15:12:10 +0200

ignition-math (6.4.0+ds-4) experimental; urgency=medium

  * Team upload.
  * Version depends on ignition-cmake

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Apr 2020 00:12:27 +0200

ignition-math (6.4.0+ds-3) experimental; urgency=medium

  * Team upload.
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 14 Apr 2020 20:35:31 +0200

ignition-math (6.4.0+ds-2) experimental; urgency=medium

  * Team upload.
  * Rework packaging (Closes: #956483)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 15:59:30 +0200

ignition-math (6.4.0+ds-1) experimental; urgency=medium

  * Rename source package from ignition-math4 to drop the version name
  * Include doxygen tag file
  * Support for eigen package
  * Update copyright: add comment about excluded and update years
  * Update standards and compat
  * Get all the newer versions of math in the watch file
  * Add hardening flags
  * Change library names: unversioned for -dev and math6 for library pkg name
  * Update tests to math6
  * Removed patches merge upstream
  * New upstream version 6.4.0+ds
    (Closes: #948534)
  * Remove ruby-ronn dependency (Closes: #903287)
  * Drop python dependency (Closes: #936727)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Feb 2020 20:55:33 +0000

ignition-math4 (4.0.0+dfsg1-5) unstable; urgency=medium

  * Added patch to solve problems with mips(el) and hppa in tests
    (Closes: #888220)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 03 Apr 2018 22:37:17 +0000

ignition-math4 (4.0.0+dfsg1-4) unstable; urgency=medium

  * Use ffloat-store in i386 to fix problems with floating point precision
    Patch thanks to Steve Langasek (Closes: #888219)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 24 Mar 2018 13:16:33 +0000

ignition-math4 (4.0.0+dfsg1-3) unstable; urgency=medium

  * Do not set any of the SSE flags in rules file
    (Closes: #890384)
  * Move control Vcs- to salsa
  * Use https in debian copyright

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 21 Mar 2018 17:46:55 +0000

ignition-math4 (4.0.0+dfsg1-2) unstable; urgency=medium

  * Update patch for failing test in i386
  * Update to compat 11

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 27 Feb 2018 08:45:43 +0000

ignition-math4 (4.0.0+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 4.0.0
  * Initial release (Closes: #882233)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 03 Jan 2018 00:43:21 +0100
