=== debian/control ===
Source: ignition-math
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               libeigen3-dev,
               libgtest-dev,
               libignition-cmake-dev (>= 2),
               ruby,
               swig
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-math
Vcs-Git: https://salsa.debian.org/science-team/ignition-math.git
Homepage: https://ignitionrobotics.org/libs/math

Package: libignition-math6-6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Ignition Robotics Math Library - Shared library
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the shared library

Package: libignition-math-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libignition-math6-6 (= ${binary:Version}),
         libignition-cmake-dev (>= 2),
         ${misc:Depends}
Replaces: libignition-math2-dev (<< 6.0.0-1~), libignition-math4-dev (<< 6.0.0-1~)
Breaks: libignition-math2-dev (<< 6.0.0-1~), libignition-math4-dev (<< 6.0.0-1~)
Description: Ignition Robotics Math Library - Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robotics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the development files

Package: libignition-math4-dev
Depends: libignition-math-dev, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
