## ignition-math 6.7.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libignition-cmake-dev (>= 2),
                ruby,
                swig
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-math
 Vcs-Git: https://salsa.debian.org/science-team/ignition-math.git
@@ -37,7 +37,6 @@
 
 Package: libignition-math-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: libignition-math6-6 (= ${binary:Version}),
          libignition-cmake-dev (>= 2),
