=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,11 @@
   set(swig_files
     ruby
     Angle
+    GaussMarkovProcess
+    Rand
     Vector2
-    Vector3)
+    Vector3
+    Vector4)
 endif()
 
 #################################################
