=== debian/changelog ===
ignition-math (6.7.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Properly handle stream errors when reading math objects
  * Manually remove build path from installed Doxygen tag file
  * Bump Standards-Version to 4.5.1

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 26 Nov 2020 16:14:34 +0100

ignition-math (6.7.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Reintroduce pose_TEST patch that got removed by accident

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 26 Nov 2020 00:44:23 +0100

ignition-math (6.7.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.7.0+ds
  * Remove Multi-Arch: same from -dev package

 -- Timo Röhling <timo@gaussglocke.de>  Wed, 25 Nov 2020 22:44:28 +0100
