## ignition-math 6.10.0+ds3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,26 +3,36 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-math6 VERSION 6.7.0)
+project(ignition-math6 VERSION 6.10.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.0.0 REQUIRED)
+find_package(ignition-cmake2 2.8.0 REQUIRED)
 
 #============================================================================
 # Configure the project
 #============================================================================
 set (c++standard 17)
-ign_configure_project()
+set (CMAKE_CXX_STANDARD 17)
+ign_configure_project(VERSION_SUFFIX)
 
 #============================================================================
 # Set project-specific options
 #============================================================================
 
-# ignition-math currently has no options that are unique to it
+option(USE_SYSTEM_PATHS_FOR_RUBY_INSTALLATION
+      "Install ruby modules in standard system paths in the system"
+      OFF)
 
+option(USE_SYSTEM_PATHS_FOR_PYTHON_INSTALLATION
+      "Install python modules in standard system paths in the system"
+      OFF)
+
+option(USE_DIST_PACKAGES_FOR_PYTHON
+      "Use dist-packages instead of site-package to install python modules"
+      OFF)
 
 #============================================================================
 # Search for project-specific dependencies
@@ -43,7 +53,7 @@
   IGN_BUILD_WARNING("Swig is missing: Language interfaces are disabled.")
   message (STATUS "Searching for swig - not found.")
 else()
-  message (STATUS "Searching for swig - found.")
+  message (STATUS "Searching for swig - found version ${SWIG_VERSION}.")
 endif()
 
 # Include other languages if swig was found
@@ -55,9 +65,34 @@
     IGN_BUILD_WARNING("Ruby is missing: Install ruby-dev to enable ruby interface to ignition math.")
     message (STATUS "Searching for Ruby - not found.")
   else()
-    message (STATUS "Searching for Ruby - found.")
+    message (STATUS "Searching for Ruby - found version ${RUBY_VERSION}.")
   endif()
 endif()
+
+########################################
+# Python bindings
+include(IgnPython)
+find_package(PythonLibs QUIET)
+if (NOT PYTHONLIBS_FOUND)
+  IGN_BUILD_WARNING("Python is missing: Python interfaces are disabled.")
+  message (STATUS "Searching for Python - not found.")
+else()
+  message (STATUS "Searching for Python - found version ${PYTHONLIBS_VERSION_STRING}.")
+
+  set(PYBIND11_PYTHON_VERSION 3)
+  find_package(pybind11 2.2 QUIET)
+
+  if (${pybind11_FOUND})
+    message (STATUS "Searching for pybind11 - found version ${pybind11_VERSION}.")
+  else()
+    IGN_BUILD_WARNING("pybind11 is missing: Python interfaces are disabled.")
+    message (STATUS "Searching for pybind11 - not found.")
+  endif()
+endif()
+
+# Location of "fake install folder" used in tests
+# Defined here at root scope so it is available for tests in src and test folders
+set(FAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/fake/install")
 
 #============================================================================
 # Configure the build
