=== eigen3/include/ignition/math/CMakeLists.txt ===

ign_install_all_headers(COMPONENT eigen3)
