=== debian/changelog ===
ignition-math (6.10.0+ds3-7) unstable; urgency=medium

  [ janitor-bot ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jose Luis Rivero ]
  * Ignore integration tests when excluding FAKE

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 24 Feb 2022 15:30:14 +0000

ignition-math (6.10.0+ds3-6) unstable; urgency=medium

  * Exclude tests depending on FAKE_INSTALL in arm patches

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 23 Feb 2022 23:25:02 +0000

ignition-math (6.10.0+ds3-5) unstable; urgency=medium

  * Update patch to exclude FAKE install test in arm*
  * Do not generate python bindings in mipsel and sh4

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 23 Feb 2022 17:58:59 +0000

ignition-math (6.10.0+ds3-4) unstable; urgency=medium

  * Use DEB_BUILD_OPTIONS to set parallel=1 on non x32 arches

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 22 Feb 2022 11:13:14 +0000

ignition-math (6.10.0+ds3-3) unstable; urgency=medium

  * Fix logic in Makefile for limiting memory in exotic arches
    (Closes: #1005947)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 21 Feb 2022 18:45:40 +0000

ignition-math (6.10.0+ds3-2) unstable; urgency=medium

  * Use no-parallel for non x32/x64 arches
    Python bindings seems to have rised the memory usage to limits that killed
    arches different than x32/x64,

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 18 Feb 2022 21:11:45 +0000

ignition-math (6.10.0+ds3-1) unstable; urgency=medium

  * New upstream version 6.10.0+ds3
    (Previous ds2 had problems with cleaning ignores files)
  * Fix spelling error
  * Add patch to reduce memory consumption in FAKE examples install
    (Should help with #1005947)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 18 Feb 2022 14:33:52 +0000

ignition-math (6.10.0+ds2-1) unstable; urgency=medium

  * New upstream version 6.10.0+ds2
  * Remove win_direct.h and update copyright metadata
  * Support for python bindings
  * Support for ruby bindings
  * Bump standards to 4.6.0. No change.
  * Remove ancient transitional packages
  * Patches to fix i386 build
  * Update copyright

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Feb 2022 15:30:29 +0000

ignition-math (6.9.2+ds-1) unstable; urgency=medium

  * New upstream version 6.9.2+ds
  * Rediff patches
  * Update copyright

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 05 Jan 2022 20:27:51 +0000

ignition-math (6.8.0+ds-2) unstable; urgency=medium

  * Move 6.8.0 to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 23 Aug 2021 17:32:51 +0000

ignition-math (6.8.0+ds-1) experimental; urgency=medium

  * Include new Excluded files in copyright
  * New upstream version 6.8.0+ds
  * Remove patch merged upstream

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Jun 2021 16:51:08 +0000
