=== debian/control ===
--- 
+++ 
@@ -5,14 +5,18 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               dh-sequence-python3,
                doxygen,
                libeigen3-dev,
                libgtest-dev,
                libignition-cmake-dev (>= 2),
-               ruby,
+               python3-dev,
+               python3-pybind11 [!mipsel !sh4],
+               ruby-all-dev,
                swig
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
+XS-Ruby-Versions: all
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-math
 Vcs-Git: https://salsa.debian.org/science-team/ignition-math.git
 Homepage: https://ignitionrobotics.org/libs/math
@@ -41,8 +45,6 @@
 Depends: libignition-math6-6 (= ${binary:Version}),
          libignition-cmake-dev (>= 2),
          ${misc:Depends}
-Replaces: libignition-math2-dev (<< 6.0.0-1~), libignition-math4-dev (<< 6.0.0-1~)
-Breaks: libignition-math2-dev (<< 6.0.0-1~), libignition-math4-dev (<< 6.0.0-1~)
 Description: Ignition Robotics Math Library - Development files
  A small, fast, and high performance math library. This library is a
  self-contained set of classes and functions suitable for robot applications.
@@ -54,9 +56,40 @@
  .
  The package contains the development files
 
-Package: libignition-math4-dev
-Depends: libignition-math-dev, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Package: python3-ignition-math
+# Too high memory consumption for mipsel in python bindings generation
+# Architecture: any [!mipsel !sh4]
+Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el s390x sparc64 x32
+Section: python
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Enhances: libignition-math6-6
+Description: Ignition Robotics Math Library - Python3 bindings
+ A small, fast, and high performance math library. This library is a
+ self-contained set of classes and functions suitable for robot applications.
+ .
+ Ignition Robotics is a set of simple libraries that provide useful
+ functionality to bootstrap robot applications. The included libraries
+ encapsulate all the essentials, such as common math data types, console
+ logging, 3D mesh management, and asynchronous message passing.
+ .
+ The package contains the Python3 bindings.
+
+Package: ruby-ignition-math
+Architecture: any
+Section: ruby
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${misc:Depends},
+         ${ruby:Depends},
+         ${shlibs:Depends}
+Description: Ignition Robotics Math Library - Ruby bindings
+ A small, fast, and high performance math library. This library is a
+ self-contained set of classes and functions suitable for robot applications.
+ .
+ Ignition Robotics is a set of simple libraries that provide useful
+ functionality to bootstrap robot applications. The included libraries
+ encapsulate all the essentials, such as common math data types, console
+ logging, 3D mesh management, and asynchronous message passing.
+ .
+ The package contains the Ruby bindings.
