=== debian/tests/control ===
Tests: build
Depends: libignition-math-dev, pkg-config, build-essential
